Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005290TestLinkBug Tracking Systems Integrationpublic2012-10-17 22:152013-05-26 20:06
Reportermarioct 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.4 (2012 Q3 - bug fixing) 
Fixed in Version1.9.5 (2012 Q4 - bug fixing) 
Summary0005290: Doesn´t show description of bugs from BTS (JIRA)
DescriptionIn history of execution just display bug id and status. Description was not displayed.
I´m using testlink 1.9.4 with patch http://gitorious.org/testlink-ga/testlink-code/commit/7ea9718c94d78d5b698c5fef1dc60bab6b5cdd7e [^]

In Test reports-> Bugs per Test Case not display too
Steps To ReproduceExecute Test
Add a Bug
See history of execution
TagsTO BE FIXED on 2.0
Database (MySQL,Postgres,etc)MySQL
BrowserChrome
PHP VersionPHP 5.3.3
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Filespng file icon bug-description.png [^] (38,732 bytes) 2012-10-17 22:15


png file icon bugs-per-testcase.png [^] (30,077 bytes) 2012-10-17 22:15

- Relationships
related to 0005293closedfman (JIRA Integration) - Bugs per Test Case do not display bug summary. 
child of 0005193closedfman Availables hot-fixes for 1.9.4 & How To get full fixed package from gitorious 

-  Notes
(0017687)
fman (administrator)
2012-10-18 05:04

please open a new issue for => In Test reports-> Bugs per Test Case not display too. The Art of bug tracking reporting requires this.

Please check for info on our logs files and TL Event Viewer
What is the JIRA version you are using ?
(0017694)
marioct (reporter)
2012-10-18 12:35

Opened new ticket http://mantis.testlink.org/view.php?id=5293 [^]

TL Event Viewer
Log level WARNING
Timestamp 18/10/2012 09:33:07
Source GUI
Description string 'invalid_security_token' is not localized for locale 'pt_BR'

I´s using JIRA 4.4
(0017701)
fman (administrator)
2012-10-20 08:12

Quick fix:
edit [TL INSTALL DIR]/lib/issuetrackerintegration/jirasoapInterface.class.php

Add this line:
$this->methodOpt = array('buildViewBugLink' => array('addSummary' => true, 'colorByStatus' => true));

in the function __construct($type,$config)
after
$this->interfaceViaDB = false;
(0017702)
fman (administrator)
2012-10-20 08:12

Probably we are going to add this as config option on next major version if needed.

Please test and let us know
(0017704)
fman (administrator)
2012-10-20 08:19

TestLink 1.9.x
http://gitorious.org/testlink-ga/testlink-code/commit/ce14c8a9cbd7628e761901c775e411a2bffbba11 [^]
(0017709)
marioct (reporter)
2012-10-22 11:14

I applied the patch and this works
Tks

- Issue History
Date Modified Username Field Change
2012-10-17 22:15 marioct New Issue
2012-10-17 22:15 marioct File Added: bug-description.png
2012-10-17 22:15 marioct File Added: bugs-per-testcase.png
2012-10-18 05:04 fman Note Added: 0017687
2012-10-18 05:04 fman Assigned To => fman
2012-10-18 05:04 fman Status new => feedback
2012-10-18 12:35 marioct Note Added: 0017694
2012-10-18 12:35 marioct Status feedback => assigned
2012-10-20 08:12 fman Note Added: 0017701
2012-10-20 08:12 fman Note Added: 0017702
2012-10-20 08:14 fman Relationship added related to 0005293
2012-10-20 08:15 fman Relationship added child of 0005193
2012-10-20 08:18 fman Status assigned => feedback
2012-10-20 08:19 fman Note Added: 0017704
2012-10-20 08:19 fman Tag Attached: TO BE FIXED on 2.0
2012-10-22 11:14 marioct Note Added: 0017709
2012-10-22 11:14 marioct Status feedback => assigned
2012-10-22 17:54 fman Status assigned => resolved
2012-10-22 17:54 fman Fixed in Version => 1.9.5 (2012 Q4 - bug fixing)
2012-10-22 17:54 fman Resolution open => fixed
2013-05-26 20:06 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker